Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034052
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorsometimes2016-08-12 09:522016-10-13 09:31
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRR16Q3.2
StatusclosedFix in branchFixed in SCM revision477e6bb1b1a2
ProjectionnoneETAnoneTarget VersionRR16Q3.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034052: It is still possible to press twice Done or Layaway buttons

DescriptionClients like Superdoña or Laeuropea are still having this problem from time to time.
We added a enyo.$.scrim.show(); but it is not enough. We have to research and find a way to avoid this double click.
Steps To ReproduceSometimes...

- Login
- Add a product
- Add exact payment
- Press Done twice
- ERROR: 2 Orders are send, one with all attributes initialized to null
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033695 closedmigueldejuana It is still possible to press twice Done or Layaway buttons 

-  Notes
(0090191)
hgbot (developer)
2016-09-23 09:55

Repository: retail/backports/3.0RR16Q3.2/pi-mobile
Changeset: e3205c851f0aee33c10abab9afeeb94c32664df9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Sep 23 09:54:49 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q3.2/pi-mobile/rev/e3205c851f0aee33c10abab9afeeb94c32664df9 [^]

Related issue 0034052: It is still possible to press twice Done or Layaway buttons

- Add time to wait until Done button can be pressed again
- Add wait to avoid pressing Done twice in one second
- Ensure that Done button is disabled after doing a sale

---
M src-test/org/openbravo/test/mobile/common/selenium/testhelpers/TestActionsHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/utils/OBConstants.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/SALa010_CreateSale.java
---
(0090192)
hgbot (developer)
2016-09-23 09:55

Repository: retail/backports/3.0RR16Q3.2/org.openbravo.retail.posterminal
Changeset: 477e6bb1b1a2af653b1cf019121b70cbec5aff08
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Sep 23 09:52:40 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q3.2/org.openbravo.retail.posterminal/rev/477e6bb1b1a2af653b1cf019121b70cbec5aff08 [^]

Fixed issue 0034052: It is still possible to press twice Done or Layaway buttons

- Block Done button during 1 second to avoid double click
- Delete current before setting to false calculateReceiptLock in order to do not trigger any receipt event when clearing the order
- Avoid calling updatePending or checkValidPayment when we are processing the receipt (after pressing Done button)
- Change message from info to error to be able to track it better

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0090545)
hgbot (developer)
2016-10-13 09:31

Repository: tools/automation/pi-mobile
Changeset: e3205c851f0aee33c10abab9afeeb94c32664df9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Sep 23 09:54:49 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e3205c851f0aee33c10abab9afeeb94c32664df9 [^]

Related issue 0034052: It is still possible to press twice Done or Layaway buttons

- Add time to wait until Done button can be pressed again
- Add wait to avoid pressing Done twice in one second
- Ensure that Done button is disabled after doing a sale

---
M src-test/org/openbravo/test/mobile/common/selenium/testhelpers/TestActionsHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/utils/OBConstants.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/SALa010_CreateSale.java
---

- Issue History
Date Modified Username Field Change
2016-09-22 11:11 migueldejuana Type defect => backport
2016-09-22 11:11 migueldejuana Target Version => RR16Q3.2
2016-09-23 09:55 hgbot Checkin
2016-09-23 09:55 hgbot Note Added: 0090191
2016-09-23 09:55 hgbot Checkin
2016-09-23 09:55 hgbot Note Added: 0090192
2016-09-23 09:55 hgbot Status scheduled => resolved
2016-09-23 09:55 hgbot Resolution open => fixed
2016-09-23 09:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8288cc5de0f0c485a69011eceeaddd7d5ba8e55e [^] => http://code.openbravo.com/retail/backports/3.0RR16Q3.2/org.openbravo.retail.posterminal/rev/477e6bb1b1a2af653b1cf019121b70cbec5aff08 [^]
2016-09-26 23:19 guilleaer Status resolved => closed
2016-09-26 23:19 guilleaer Fixed in Version => RR16Q3.2
2016-10-13 09:31 hgbot Checkin
2016-10-13 09:31 hgbot Note Added: 0090545


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker